Summary:	Default themes for GNOME environment
Summary(pl.UTF-8):	Domyślne motywy dla środowiska GNOME
Name:		gnome-themes-standard
Version:	3.10.0
Release:	1
License:	LGPL
Group:		Themes
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-themes-standard/3.10/%{name}-%{version}.tar.xz
# Source0-md5:	854209d213c8d6ab89c053a3f9077e57
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	cairo-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.24.15
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	intltool >= 0.40
BuildRequires:	librsvg-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post):	gtk-update-icon-cache
Requires:	gnome-icon-theme >= 3.4.0
Suggests:	gtk2-theme-engine-adwaita
Obsoletes:	gnome-themes-HighContrast < 3.0-1
Obsoletes:	gnome-themes-HighContrastLargePrint < 3.0-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Default themes for GNOME environment.

%description -l pl.UTF-8
Domyślne motywy dla środowiska GNOME.

%package -n gtk2-theme-engine-adwaita
Summary:	Adwaita gtk2 theme
Group:		Themes/GTK+

%description -n gtk2-theme-engine-adwaita
This package contains a gtk2 theme for presenting widgets with a GNOME
look and feel.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/3.0.0/theming-engines/libadwaita.la

# gtk+2 cache
touch $RPM_BUILD_ROOT%{_iconsdir}/HighContrast/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache HighContrast

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-3.0/3.0.0/theming-engines/libadwaita.so
%{_datadir}/themes/Adwaita
%exclude %{_datadir}/themes/Adwaita/gtk-2.0
%{_datadir}/themes/HighContrast
%exclude %{_datadir}/themes/HighContrast/gtk-2.0
%dir %{_iconsdir}/Adwaita
%{_iconsdir}/Adwaita/cursors
%dir %{_iconsdir}/HighContrast
%{_iconsdir}/HighContrast/*x*
%{_iconsdir}/HighContrast/scalable
%ghost %{_iconsdir}/HighContrast/icon-theme.cache

%files -n gtk2-theme-engine-adwaita
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.so
%{_datadir}/themes/Adwaita/gtk-2.0
%{_datadir}/themes/HighContrast/gtk-2.0
%{_datadir}/gnome-background-properties/adwaita.xml

# XXX: package here, not to pull libgnome deps
%dir %{_datadir}/gnome-background-properties
%changelog
* Sun Sep 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-themes-standard.git;a=log;h=master

* Sat Sep 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> ababe72
- Update to 3.10.0

* Thu Aug 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> fcf9bf3
- Update to 3.8.3

* Tue Apr 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> e85b4a8
- Update to 3.8.1

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> ef51571
- updated to 3.8.0

* Fri Mar 22 2013 Elan Ruusamäe <glen@delfi.ee> a45252f
- package /usr/share/gnome-background-properties not to pull libgnome-2.32 and it's noise

* Wed Feb 20 2013 Łukasz Kieś <kiesiu@pld-linux.org> 13b6c52
- updated to 3.6.5

* Mon Feb 04 2013 Elan Ruusamäe <glen@delfi.ee> 6ccb702
- move gnome-background-properties to gtk2 package

* Sat Nov 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 981559c
- updated to 3.6.2

* Sat Nov 10 2012 Elan Ruusamäe <glen@delfi.ee> 322a2d9
- ghost package HighContrast icon cache

* Thu Oct 18 2012 Marcin Banasiak <marcin.banasiak@gmail.com> fecf12a
- Move gtk2 theme engine to gtk2-theme-engine-adwaita package

* Wed Oct 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 478c0e3
- Updated to 3.6.1

* Tue Sep 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 390dfdc
- updated to 3.6.0.2

* Tue Sep 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 36833a1
- removed not required update_icon_cache macro call

* Tue Sep 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8ab1a9c
- merged from DEVEL
- updated to 3.6.0.1

* Wed Sep 05 2012 Łukasz Kieś <kiesiu@pld-linux.org> b24fd39
- update to 3.5.91

* Wed Aug 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 3c0b42c
- updated to 3.5.90.1

* Tue May 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> 295b60c
- updated to 3.4.2

* Tue Apr 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> e827303
- updated to 3.4.1

* Tue Mar 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> e35c06c
- updated to 3.4.0; merged from DEVEL

* Sun Dec 11 2011 Adam Gołębiowski <adamg@pld-linux.org> cf94ccb
- Obsoletes: gnome-themes-HighContrast, gnome-themes-HighContrastInverse,
  gnome-themes-HighContrastLargePrint
- release 2

